﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateProductCommand(
string PersianName,
string EnglishName,
string Summery,
string ExpertCheck,
string Tags,
string Warranty,
bool BeDisplayed,
double Cost,
double PackingCost,
Guid BrandId,
string BrandNames ,
Guid CategoryId,
List<SpecificationSDto> Specifications,
List<StorageFileSDto> Files):IRequest<ProductLDto>;

public sealed record UpdateProductCommand(
    Guid Id,
    string PersianName,
    string EnglishName,
    string Summery,
    string ExpertCheck,
    string Tags,
    string Warranty,
    bool BeDisplayed,
    double Cost,
    double PackingCost,
    Guid BrandId,
    string BrandNames,
    Guid CategoryId,
    List<SpecificationSDto> Specifications,
    List<StorageFileSDto> Files) : IRequest<bool>;
public sealed record DeleteProductCommand(Guid Id) : IRequest<bool>;